{% extends "base.html" %}
{%- import "common/macros/generic.html" as mg -%}


{% block head %}
    {% assets
        filters="cssrewrite, cssmin",
        output="compressed/datepicker.css",
        "css/plugins/bootstrap-datepicker.min.css"
    %}
        {{ mg.async_css(ASSET_URL) }}
    {% endassets %}
    {% assets
        filters="rjsmin",
        output="compressed/datepicker.js",
        "js/plugins/bootstrap-datepicker.min.js"
    %}
        {{ mg.js(ASSET_URL) }}
    {% endassets %}
{% endblock %}


{% block content_main %}
    {% set module_name = request.mod|normalize|title %}
    <div class="card">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-md-6 col-xl-7">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb bg-transparent mb-1 mb-md-0 py-1 py-md-0 pl-1">
                            <li class="breadcrumb-item"><a href="{{ url_for('.index') }}">{{ module_name }}</a></li>
                            <li class="breadcrumb-item"><a href="{{ url_for('.edit', _id=record._id) }}">{{ record.product_code }}</a></li>
                            <li class="breadcrumb-item active"> Create Stock Transfer</li>
                        </ol>
                    </nav>
                </div>
                <div class="col-12 col-md-6 col-xl-5 text-right">
                    <div class="row">
                        <div class="col"></div>
                        <div class="col">
                            <a href="{% if redirect_from == 'records' %}{{ url_for('.index') }}{% elif redirect_from == 'details' %}{{ url_for('.edit', _id=record._id) }}{% else %}{{ url_for('.index') }}{% endif %}" class="btn btn-danger btn-sm btn-block my-2 my-md-1"><i class="fa fa-fw fa-arrow-left"></i> Go Back</a>
                        </div>
                    </div>
                </div>
            </div>
            <h4 class="card-title mt-1 mt-md-0"> Create Stock Transfer</h4>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-md-6">
                    <form id="create_stock_transfer" action="{{ url_for('.create_stock_transfer', _id=record._id) }}" method="POST">
                        <input type="hidden" name="finished_good" value="{{ record._id }}" />
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "quantity"|normalize|title }}*</label>
                                    <input type="number" name="quantity" class="form-control" min="0" step="0.0001" required />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "location"|normalize|title }}*</label>
                                    <select name="location" class="form-control" data-ajax-select-target="/api/v1/locations/all?fields=address,name" data-ajax-select-value="_id" data-ajax-select-label="address,name" required placeholder="-- Select Location --">
                                        <option value="">-- Select Location --</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "lot_number"|normalize|title }}</label>
                                    <input type="text" name="lot_number" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "expiry_date"|normalize|title }}</label>
                                    <input type="text" name="expiry_date" class="form-control datepicker" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "manufacturing_date"|normalize|title }}*</label>
                                    <input type="text" name="manufacturing_date" class="form-control datepicker" required />
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="invisible"></button>
                    </form>
                </div>
                <div class="col-12 col-md-6">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "description"|normalize|title }}*</label>
                                <textarea class="form-control" rows="1" value="{{ record.description }}" readonly>{{ record.description }}</textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "variant"|normalize|title }}*</label>
                                <textarea class="form-control" rows="1" value="{{ record.variant }}" readonly>{{ record.variant }}</textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "product_code"|normalize|title }}</label>
                                <input type="text" class="form-control" value="{{ record.product_code }}" readonly />
                            </div>
                        </div>
                    </div>
                    <div class="row border border-warning rounded">
                        <div class="col-12">
                            <div class="form-group">
                                <label><b>{{ "current_stock_on_hand"|normalize|title }}</b></label>
                                <input type="text" class="form-control" value="{{ record.stock_on_hand }}" readonly />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "last_transaction"|normalize|title }}</label>
                                <textarea class="form-control" rows="1" value="{{ record.last_transaction }}" readonly>{{ record.last_transaction }}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <span><small>Fields with (*) are required</small></span>
        </div>
        <div class="card-footer text-right">
            <button type="button" class="btn btn-secondary btn-sm mr-2" data-reset-form="form"><i class="fa fa-undo"></i> Reset</button>
            <button type="button" class="btn btn-info btn-sm" data-submit-form="form">Submit</button>
        </div>
    </div>
{% endblock %}


{% block scripts %}
    <script>
        $dom.document.on('submit', 'form#create_stock_transfer', function(e) {
            e.preventDefault();
            let $form = $(this);
            $.post($form.attr('action'), $form.serialize(), function() {})
            .done(function(response) {
                if (isDefined(response.success) && response.success) {
                    Swal.fire({
                        title: 'Successfully Created Stock Transfer',
                        text: '',
                        type: 'success'
                    })
                    .then(function() {
                        $form.resetCustom();
                    });
                }
                else {
                    Swal.fire('Error', response.error, 'error');
                }
            })
            .always(function() {
                $dom.document.find('[data-submit-form]').ladda('stop');
            })
            .fail(function() {
                Swal.fire('Error', 'Server Error', 'error');
            });
        });

        $dom.document.ready(function() {
            $('.datepicker').datepicker();
        });
    </script>
{% endblock %}
